Bug 488781 - Local file installation dialog
Local file installation dialog
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 13:13 EST by Michael Monreal
Modified: 2010-03-23 06:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 06:24:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (61.50 KB, image/png)
2009-03-05 13:14 EST, Michael Monreal
no flags Details

  None (edit)
Description Michael Monreal 2009-03-05 13:13:49 EST
If you invoke PK on some local rpms, PK will ask you if you want to install those files. However, the dialog window looks bad as it displays something like

---
- /path/to/your/local/
rpms/myrpm1.rpm
- /path/to/your/local/
rpms/myrpm2.rpm
- /path/to/your/local/
rpms/myrpm3.rpm
---

I think PK does not need to display this information. Take a look at the window you get when you "permanently delete" files from the trash:

---
Are you sure you want to permanently delete the 2 selected items from the trash?

If you delete an item, it will be permanently lost.
---

Similarly, PK could just ask "Are you sure you want to install the selected n files?"

If you think showing the file names is important I would at least not show the paths, or 

---
myrpm1.rpm
myrpm2.rpm
myrpm3.rpm

from /path/to/your/local/rpms/
---
Comment 1 Michael Monreal 2009-03-05 13:14:34 EST
Created attachment 334171 [details]
Screenshot
Comment 2 Richard Hughes 2009-06-03 05:04:55 EDT
You could have more files than one path, so this would be difficult to do in a UI. The only reason we show the full path is that we have to be very careful about what we are asking the user to install. Maybe "the selected" is good enough.
Comment 3 Bug Zapper 2009-06-09 07:55:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Richard Hughes 2010-03-23 06:24:38 EDT
I think it's important we show the full path to not trick the user to installing something insecure.

Note You need to log in before you can comment on or make changes to this bug.